- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- COPYRIGHT

# NAME

EVP_CIPHER_CTX_get_app_data, EVP_CIPHER_CTX_set_app_data - Routines to inspect and modify application data related to EVP_CIPHER_CTX

# SYNOPSIS

    #include <openssl/evp.h>

    void *EVP_CIPHER_CTX_get_app_data(const EVP_CIPHER_CTX *ctx);
    void EVP_CIPHER_CTX_set_app_data(EVP_CIPHER_CTX *ctx, void *data);

# DESCRIPTION

The functions EVP_CIPHER_CTX_set_app_data() and EVP_CIPHER_CTX_get_app_data() associate an opaque, application-defined pointer with an EVP_CIPHER_CTX object.

This pointer is not interpreted by the library and is reserved entirely for use by the application. It may be used to store arbitrary context or state that needs to be accessible wherever the corresponding EVP_CIPHER_CTX is available.

# RETURN VALUES

The EVP_CIPHER_CTX_get_app_data() function returns a opaque pointer to the current application data for the EVP_CIPHER_CTX.

# COPYRIGHT

Copyright 2026 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.